# Interface ReadGroupIterator

All Superinterfaces:
  `ReadGroup`

public interface ReadGroupIterator extends ReadGroup
Iterates across a list of ReadGroups

## Method Summary

Modifier and Type
Method
Description
`boolean`
`nextReadGroup()`
Advance to first ReadGroup on initial invocation Advance to next ReadGroup subsequently

### Methods inherited from interface ReadGroup

`getName, getStatistics`

## Method Details

### nextReadGroup

boolean nextReadGroup() throws ErrorMsg
Advance to first ReadGroup on initial invocation Advance to next ReadGroup subsequently

Returns:
  false if no more ReadGroups are available.
Throws:
  `ErrorMsg` - if more ReadGroups should be available, but could not be accessed.